package com.fr.solution.plugin.auth.cas.bridge;

import com.fr.fs.DefaultPlate;
import com.fr.fs.auth.AuthenticateObjectTypeBuilder;
import com.fr.solution.plugin.auth.cas.core.CasAuthenticateObjectType;
import com.fr.solution.plugin.auth.cas.core.CasConstants;

/**
 * Created by richie on 16/7/19.
 */
public class CasAuthenticatePlate extends DefaultPlate {

    @Override
    public void initData() {
        super.initData();
        AuthenticateObjectTypeBuilder.register(CasConstants.MARK_TYPE, CasAuthenticateObjectType.class);
    }

    @Override
    public String[] getPlateJavaScriptFiles4WebClient() {
        return new String[]{
            "/com/fr/solution/plugin/auth/cas/web/auth.cas.js"
        };
    }
}
