/**
 * Created by richie on 16/7/19.
 */
FS.Plugin.AuthenticateTypePool.push({

    defineTypeString: function () {
        return 'cas'
    },
    defineTitleString: function () {
        return 'Cas认证';
    },
    defineRowHeightNumber: function () {
        return 21;
    },
    defineUI: function () {
        return [{}, {}, {type: 'text', widgetName: 'cas', watermark: 'Cas认证地址'}];
    },
    saveDataSync: function (container) {
        return FS.Async.ajax({
            url: FR.servletURL + '?op=cas&cmd=save',
            data: {
                name : container.getWidgetByName('cas').getValue()
            }
        });
    },
    populateData:function (container) {
        alert(container.getWidgetByName('cas').getValue());
    }
});